﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Autodesk.Revit.UI;

namespace ScheduleCreation
{
    [Autodesk.Revit.Attributes.Transaction(Autodesk.Revit.Attributes.TransactionMode.Manual)]
    public class ScheduleCreationCommand : IExternalCommand
    {
        #region IExternalCommand Members

        public Result Execute(ExternalCommandData commandData, ref string message, Autodesk.Revit.DB.ElementSet elements)
        {
            UIDocument uiDocument = commandData.Application.ActiveUIDocument;

            ScheduleCreationUtility utility = new ScheduleCreationUtility();
            utility.CreateAndAddSchedules(uiDocument);

            return Result.Succeeded;
        }

        #endregion
    }
}
