﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace BIM.IFC.Export.UI
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class NewExportSetupWindow : Window
    {
        private String m_newName;
        private IFCExportConfigurationsMap m_configurationMap;

        public NewExportSetupWindow(IFCExportConfigurationsMap configurationMap, String initialName)
        {
            m_configurationMap = configurationMap;
            m_newName = initialName;           
            InitializeComponent();
            textBoxNewSetupName.Text = m_newName;
        }

        public String GetName()
        {
            return m_newName;
        }

        private void buttonOK_Click(object sender, RoutedEventArgs e)
        {
            m_newName = textBoxNewSetupName.Text;
            DialogResult = true;
            Close();
        }

        private void buttonCancel_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
            Close();
        }

        private void textBoxNewSetupName_TextChanged(object sender, TextChangedEventArgs e)
        {
            String textName = textBoxNewSetupName.Text;
            if (String.IsNullOrWhiteSpace(textName) || m_configurationMap.HasName(textName))
            {
                buttonOK.IsEnabled = false;
            }
            else
            {
                buttonOK.IsEnabled = true;
            }
        }
    }
}
